Python is a programming language that is included in the standard OSX installation.

learn more… | top users | synonyms

5
votes
1answer
6k views

How do I change back from MacPorts Python to system default version?

I used MacPorts to install a newer version of Python on my system (10.5.8 PPC), and then used the MacPorts select command to change the default invoked version of Python to the MP version. Now I want ...
1
vote
4answers
739 views

Xcode and python and java

I just installed Xcode 4. Everything seemed fine, but then, after poking around, I found that the ability to create Python and Java (And probably more) projects was missing. I asked Apple in apple ...
1
vote
1answer
10k views

How to remove one old python installation from a system with multiple (non-system) installations of python

Disclaimer First, let me get the obvious out of the way: I have not touched the system-bundled Python. I know it’s important to leave it alone. I have, in fact, done exactly that. ☺ Background ...
1
vote
1answer
321 views

Installed additional python2.7 to Snow Leopard. What happens to modules I want to install?

I recently asked if I should upgrade python 2.6 to python 2.71 on my Mac (Snow Leopard). I was told to install 2.7 without removing 2.6. Done! Now I was wondering how the installation of new modules ...
2
votes
1answer
2k views

Snow Leopard: Current: python 2.6 - Desired: python 2.7

Is it possible to upgrade the native python version (2.6 on my Snow Leopard) to a more recent one? Or do I have to just install python 2.7 besides the current one?
2
votes
3answers
10k views

Why is python's “easy_install” installing into the wrong directory?

I've installed python 2.7 with the dmg-installer of the official python page. After typing which python in terminal, I get this: /Library/Frameworks/Python.framework/Versions/2.7/bin/python But when ...
0
votes
1answer
84 views

installing python2.4 on osx10.6?

I prefer installing stuff from their source and dont use package managers generally. Has anyone here tried building python2.4 from source here? If so, had any luck with the same?
3
votes
1answer
1k views

Error installing lxml on Mac Snow Leopard

I am getting what seems to be a common error when trying to install lxml on MacOS 10.6: Building lxml version 2.3. Building without Cython. Using build configuration of libxslt 1.1.24 ...
3
votes
3answers
315 views

Problems integrating Python 3.1 on 10.6.5

I am beginning to learn Python, and want to "upgrade" my Python installation os OS X 10.6.5. I know it's a bad idea to directly upgrade the Python install, so I have installed Python 3.1 separately ...
1
vote
1answer
538 views

Using select.kqueue() to tell when file is modified in python?

How can I use select.kqueue() to find out when a file in a folder has been modified?
19
votes
4answers
22k views

How to get the fully resolved path of a symbolic link in Terminal?

I have a tangled mess of python installations on my laptop. I was looking at the executables in /usr/local/bin and they are all symbolic links to ../../../Library...... There's some weird behavior ...
5
votes
1answer
908 views

Installing Python 3.0 on my Mac

I'm using built-in Python 2.6.1, however, I need to run Python 3.0 from time to time. Is it OK to install Python 3.0 on my Mac? Is there anything that I need to be cautious? How about the ...